Public Member Functions | Protected Attributes | Friends | List of all members
libmwaw::PrinterRect Struct Reference

the AppleŠ rectangle : Rect More...

`#include <MWAWPrinter.hxx>`

## Public Member Functions
MWAWVec2i | size () const
| returns the size More...
MWAWVec2i | pos (int i) const
| returns the position ( 0: leftTop, 1:rightBottom ) More...
bool | read (MWAWInputStreamPtr input, MWAWVec2i const &res)
| read value in a file, knowing the resolution More...

## Protected Attributes
MWAWVec2i | m_pos [2]
| the LT and RB positions More...

## Friends
std::ostream & | operator<< (std::ostream &o, PrinterRect const &r)
| operator << More...

## Detailed Description

the AppleŠ rectangle : Rect

## Member Function Documentation

## ◆ pos()

MWAWVec2i libmwaw::PrinterRect::pos | ( | int | i | ) | const
| inline

returns the position ( 0: leftTop, 1:rightBottom )

Referenced by HanMacWrdJParser::readPrintInfo(), and HanMacWrdKParser::readPrintInfo().

## ◆ read()

bool libmwaw::PrinterRect::read | ( | MWAWInputStreamPtr | input,
|  | MWAWVec2i const & | res
| ) |  |

read value in a file, knowing the resolution

## ◆ size()

MWAWVec2i libmwaw::PrinterRect::size | ( |  | ) | const
| inline

returns the size

Referenced by PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PrinterRect const & | r
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_pos

MWAWVec2i libmwaw::PrinterRect::m_pos[2]
| protected

the LT and RB positions

Referenced by pos(), read(), and size().

The documentation for this struct was generated from the following files:

- MWAWPrinter.hxx
- MWAWPrinter.cxx